Name:          snakeyaml
Version:       1.9
Release:       %mkrel 1
Summary:       YAML parser and emitter for Java
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/snakeyaml/
Source0:       http://snakeyaml.googlecode.com/files/SnakeYAML-all-1.9.zip
# remove springframework 2.5.6
Patch0:        snakeyaml-1.8-springframework.patch
# test fail
Patch1:        snakeyaml-1.8-NonAsciiCharsInClassNameTest.patch

Patch3:        snakeyaml-1.8-addcobertura.patch

BuildRequires: cobertura
BuildRequires: gnu-getopt
BuildRequires: joda-time
BuildRequires: junit4
BuildRequires: maven
BuildRequires: maven-changes-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-gpg-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-license-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-plugin-jxr
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-surefire-report-plugin
BuildRequires: velocity
BuildRequires: maven-shared-osgi

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
SnakeYAML is a YAML parser and emitter for the Java programming language.

Features

* a complete YAML 1.1 parser. In particular, SnakeYAML
  can parse all examples from the specification.
* Unicode support including UTF-8/UTF-16 input/output.
* high-level API for serializing and deserializing native Java objects.
* support for all types from the YAML types repository.
* relatively sensible error messages.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      %{name} = %{version}-%{release}
Requires:      jpackage-utils

%description javadoc
SnakeYAML - YAML parser and emitter for Java.

This package contains javadoc for %{name}

%prep
%setup -q -n %{name}

rm -rf target

%patch0 -p1
%patch1 -p0
%patch3 -p0

sed -i 's/\r//g' AUTHORS LICENSE.txt

%build

mvn-rpmbuild install

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc AUTHORS LICENSE.txt

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Feb 25 2012 gil <gil> 1.9-1.mga2
+ Revision: 214933
- update to 1.9

* Mon Dec 26 2011 gil <gil> 1.8-1.mga2
+ Revision: 187912
- various build fix

* Wed Jul 20 2011 dmorgan <dmorgan> 1.8-0.mga2
+ Revision: 127299
- Remove wrong spec file
- Revert to our previous spec file
- Add missing file
- Sync with fedora

  + gil <gil>
    - imported package snakeyaml


* Mon Jun 13 2011 gil <gil> 1.8-0.%%mkrel
- initial rpm